/***************************************************************************
 *   Copyright (C) 2006 by Jens Koehler                                    *
 *   irimi_at_gmx_de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef AMAROKCOMMANDER_H
#define AMAROKCOMMANDER_H

#include "amarokClient.h"
#include "amarokData.h"

class AmarokCommander : public AmarokClient
{
public:
    AmarokCommander();
    ~AmarokCommander();
    void client_shutdown();
    void server_shutdown();

    // ------ Player Interface
    void pause();
    void next();
    void prev();
    void stop();
    void seekRelative(int seconds);
    bool getNowPlaying(AmarokData&);
    int getScore();
    int getTrackCurrentTime();
    int getTrackPlayCounter();

    void mute();
    void volumeUp();
    void volumeDown();
    void showOsd();

    int getPlayStatus();

    // ------ Playlist Interface
    int getActiveIndex();
    int getTotalTrackCount();

    void playPause();
    void playByIndex(unsigned int i);
    void removeByIndex(unsigned int i);

    void clearPlaylist();
    void shufflePlaylist();
    void loadPlaylist(const char* name);

    bool getCurrentPlaylist(AmarokPlaylist &list);

    bool queryLists(AmarokQueryResult &result);

    void addArtist(const char* name);
    void addAlbum(const char* name);
    void addGenre(const char* name);
    void addTitle(const char* name);
};

// global
extern void itoString(char * destStr, int count, int i);

#endif
